org.apache.commons.compress.harmony.pack200

## Class Segment.SegmentFieldVisitor

- java.lang.Object
- - org.objectweb.asm.FieldVisitor
  - - org.apache.commons.compress.harmony.pack200.Segment.SegmentFieldVisitor

- Enclosing class:
    Segment

      public class Segment.SegmentFieldVisitor
      extends org.objectweb.asm.FieldVisitor

  SegmentFieldVisitor implements `FieldVisitor` to visit the metadata relating to fields in a class file.

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.FieldVisitor

      `api, fv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentFieldVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)`
    `void` | `visitAttribute(org.objectweb.asm.Attribute attribute)`
    `void` | `visitEnd()`

    - ### Methods inherited from class org.objectweb.asm.FieldVisitor

      `getDelegate, visitTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentFieldVisitor

          public SegmentFieldVisitor()

  - ### Method Detail

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                                     boolean visible)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.FieldVisitor`

    - #### visitAttribute

          public void visitAttribute(org.objectweb.asm.Attribute attribute)

      Overrides:
        `visitAttribute` in class `org.objectweb.asm.FieldVisitor`

    - #### visitEnd

          public void visitEnd()

      Overrides:
        `visitEnd` in class `org.objectweb.asm.FieldVisitor`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.